Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.assemblerbroker.util.python
Class PythonLayoutFactory

    java.lang.Object
      org.apache.turbine.services.assemblerbroker.util.python.PythonBaseFactory<Layout>
          org.apache.turbine.services.assemblerbroker.util.python.PythonLayoutFactory

All Implemented Interfaces:
  Loader<Layout>, AssemblerFactory<Layout>

    public class PythonLayoutFactory

extends PythonBaseFactory<Layout>

A screen factory that attempts to load a python class in the JPython interpreter and execute it as a Turbine screen. The JPython script should inherit from Turbine Screen or one of its subclasses.

Version:
  $Id: PythonLayoutFactory.java 1078552 2011-03-06 19:58:46Z tv $
Author:
  Leon Messerschmidt, Henning P. Schmiedehausen

Field Summary

Fields inherited from class org.apache.turbine.services.assemblerbroker.util.python.PythonBaseFactory
`PYTHON_CONFIG_FILE, PYTHON_PATH`

Constructor Summary
`PythonLayoutFactory()`

Method Summary
`Layout` | `getAssembler(String name)` Get an Assembler.
`Loader<Layout>` | `getLoader()` Get the loader for this type of assembler

Methods inherited from class org.apache.turbine.services.assemblerbroker.util.python.PythonBaseFactory
`getAssembler, getCacheSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PythonLayoutFactory

    public PythonLayoutFactory()

Method Detail

### getAssembler

    public Layout getAssembler(String name)
                        throws Exception

  Get an Assembler.

  Parameters:
    `name` - name of the requested Assembler
  Returns:
    an Assembler
  Throws:
    `Exception` - generic exception

### getLoader

    public Loader<Layout> getLoader()

  Get the loader for this type of assembler

  Specified by:
    `getLoader` in interface `AssemblerFactory<Layout>`
  Specified by:
    `getLoader` in class `PythonBaseFactory<Layout>`
  Returns:
    a Loader

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.